### Method

# Gtk Widgetget_name

#### Declaration [src]

    const char*
    gtk_widget_get_name (
      GtkWidget* widget
    )

#### Description [src]

Retrieves the name of a widget.

See `gtk_widget_set_name()` for the significance of widget names.

Gets property | `Gtk.Widget:name`

#### Return value

Type: `const char*`

Name of the widget. This string is owned by GTK and should not be modified or freed.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.